#ifndef PID_H
#define PID_H

#define PID_UserLoginReq  		0x00016;//{Ա¼}
#define PID_UserLoginRsp 		0x10016;//{Ա¼Ӧ}
#define PID_UserLogoutReq 		0x00017;//{Ա˳¼}
#define PID_UserLogoutRsp 		0x10017;//{Ա˳¼Ӧ}
#define PID_UserPasswordUpdateReq		0x00018;//{Ա޸}
#define PID_UserPasswordUpdateRsp		0x10018;//{Ա޸Ӧ}
#define PID_OrderInsertReq 		0x00003;//{¼}
#define PID_OrderInsertReq 		0x00003;//{¼}
#define PID_OrderInsertRsp 		0x10003;//{¼Ӧ}
#define PID_OrderActionReq 		0x00004;//{}
#define PID_OrderActionRsp 		0x10004;//{Ӧ}
#define PID_QryMarketReq  		0x0000B;//{гѯ}
#define PID_QryMarketRsp  		0x1000B;//{гѯӦ}
#define PID_QryMarketStatusReq 		0x0000D;//{ѯг״̬}
#define PID_QryMarketStatusRsp 		0x1000D;//{ѯг״̬Ӧ}
#define PID_QryInstrumentReq  		0x00005;//{Լѯ}
#define PID_QryInstrumentRsp  		0x10005;//{ԼѯӦ}
#define PID_QryInstrumentStatusReq		0x0000E;//{ѯԼ״̬}
#define PID_QryInstrumentStatusRsp		0x1000E;//{ѯԼ״̬Ӧ}
#define PID_QryMarketMatchDataReq		0x00002;//{ɽѯ}
#define PID_QryMarketMatchDataRsp		0x10002;//{ɽѯӦ}
#define PID_QryParticipantReq 		0x00013;//{ԱϢѯ}
#define PID_QryParticipantRsp 		0x10013;//{ԱϢѯӦ}
#define PID_QryClientReq   		0x0000C;//{ͻϢѯ}
#define PID_QryClientRsp   		0x1000C;//{ͻϢѯӦ}
#define PID_QryDepositReq  		0x00008;//{Աʽѯ}
#define PID_QryDepositRsp  		0x10008;//{ԱʽѯӦ}
#define PID_QryPPositionReq		0x00009;//{Աֲֲѯ}
#define PID_QryPPositionRsp		0x10009;//{ԱֲֲѯӦ}
#define PID_QryPositionReq 		0x0000A;//{Աͻֲֲѯ}
#define PID_QryPositionRsp 		0x1000A;//{ԱͻֲֲѯӦ}
#define PID_QryOrderReq   		0x00006;//{ѯ}
#define PID_QryOrderRsp   		0x10006;//{ѯӦ}
#define PID_QryTradeReq   		0x00007;//{ɽѯ}
#define PID_QryTradeRsp   		0x10007;//{ɽѯӦ}
#define PID_ErrorReq 		0x00001;//{Ӧ} //ʵû
#define PID_ErrorRsp 		0x10001;//{ӦӦ}
#define PID_OrderConfirmationReq		0x01003;//{״̬ȷ}
#define PID_OrderConfirmationRsp 		0x11003;//{״̬ȷӦ}
#define PID_TradeInsertSingleReq		0x01001;//{߳ɽر}
#define PID_TradeInsertSingleRsp		0x11001;//{߳ɽرӦ}
#define PID_ParticipantBulletinReq		0x01002;//{Աʾ}
#define PID_ParticipantBulletinRsp		0x11002;//{ԱʾӦ}
#define PID_MarketStatusChangeNotifyReq		0x02005;//{г״̬ı֪ͨ}
#define PID_MarketStatusChangeNotifyRsp		0x12005;//{г״̬ı֪ͨӦ}
#define PID_InstrumentChangeNotifyReq		0x02007;//{Լı֪ͨ}
#define PID_InstrumentChangeNotifyRsp		0x12007;//{Լı֪ͨӦ}
#define PID_InstrumentStatusChangeNotifyReq 		0x02006;//{Լ״̬ı֪ͨ}
#define PID_InstrumentStatusChangeNotifyRsp 		0x12006;//{Լ״̬ı֪ͨӦ}
#define PID_MarketMatchDataReq  		0x02004;//{ɽ}
#define PID_MarketMatchDataRsp  		0x12004;//{ɽӦ}
#define PID_MarketBulletinReq		0x02003;//{ʾ㲥}
#define PID_MarketBulletinRsp		0x12003;//{ʾ㲥Ӧ}
#define PID_QuotMarketRspReq 		0x03003;//{̱ӦЭ}
#define PID_QuotMarketRspRsp 		0x13003;//{̱ӦЭӦ}
#define PID_QryOrderBySysIdReq		0x03010;//{ͬŲѯ}
#define PID_QryOrderBySysIdRsp		0x13010;//{ͬŲѯӦ}
#define PID_QryTradeByTradeIdReq		0x03014;//{ɽŲѯɽ}
#define PID_QryTradeByTradeIdRsp		0x13014;//{ɽŲѯɽӦ}
#define PID_QryCMBInstrumentReq 		0x03015;//{ϺԼѯ}
#define PID_QryCMBInstrumentRsp 		0x13015;//{ϺԼѯӦ}
#define PID_CMBInstrumentChangeNotifyReq		0x03016;//{ϺԼı֪ͨ}
#define PID_CMBInstrumentChangeNotifyRsp		0x13016;//{ϺԼı֪ͨӦ}
#define PID_QryHedgeReq          		0x03017;//{ڱֵȲѯ}
#define PID_QryHedgeRsp          		0x13017;//{ڱֵȲѯӦ}
#define PID_QryHedgeCfmReq       		0x03018;//{ڱֵȷѯ}
#define PID_QryHedgeCfmRsp       		0x13018;//{ڱֵȷѯӦ}
#define PID_QrySpdFirmReq        		0x03019;//{Ȳѯ}
#define PID_QrySpdFirmRsp        		0x13019;//{ȲѯӦ}
#define PID_QrySpdApplyReq       		0x03020;//{ȷϲѯ}
#define PID_QrySpdApplyRsp       		0x13020;//{ȷϲѯӦ}
#define PID_DISCONNECTReq     		0x03030;//{·˳}
#define PID_DISCONNECTRsp     		0x13030;//{·˳Ӧ}
#define PID_OrderSpdApplyReq     		0x03041;//{ȷ}
#define PID_OrderSpdApplyRsp     		0x13041;//{ȷӦ}
#define PID_OrderHedgeCfmReq     		0x03040;//{ڱֵȷ}
#define PID_OrderHedgeCfmRsp     		0x13040;//{ڱֵȷӦ}
#define PID_OrderOptionEApplyReq 		0x03042;//{Ȩִȷ}
#define PID_OrderOptionEApplyRsp 		0x13042;//{ȨִȷӦ}
#define PID_QuotMarketConfirmReq 		0x03026;//{̱Ӧȷ}
#define PID_QuotMarketConfirmRsp 		0x13026;//{̱ӦȷӦ}
#define PID_QryOptionEApplyReq   		0x03025;//{Ȩִеѯ}
#define PID_QryOptionEApplyRsp   		0x13025;//{ȨִеѯӦ}
#define PID_QryQuotMarketReq     		0x03026;//{̱Ӧѯ}
#define PID_QryQuotMarketRsp     		0x13026;//{̱ӦѯӦ}
#define PID_QryCMBPositionReq    		0x03031;//{ϳֲֲѯ}
#define PID_QryCMBPositionRsp    		0x13031;//{ϳֲֲѯӦ}
#define PID_RspQuoteReq          		0x03002;//{̱Ӧ}
#define PID_RspQuoteRsp 				0x13002;//{̱ӦӦ}
#endif
